## elektroid 3.2.3

=== docs/Makefile ===
# The project README.md is generated from the documentation pages by executing `make` on this directory.

README=../README.md

$(README): index.md installation.md packaging.md cli.md api.md tests.md
	echo '# Elektroid' > $(README)
	echo >> $(README)
	echo '[//]: # (Do not modify this file manually.)' >> $(README)
	echo '[//]: # (This file is generated from the docs directory by executing `make`.)' >> $(README)
	tail -n +4 index.md | sed "s^images/screenshot.png^docs/images/screenshot.png^" >> $(README)
	tail -n +6 installation.md >> $(README)
	tail -n +6 packaging.md >> $(README)
	tail -n +6 cli.md >> $(README)
	tail -n +6 api.md >> $(README)
	tail -n +6 tests.md >> $(README)

## elektroid 1.2

=== debian/control ===
Source: elektroid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev (>= 1.1.8),
               libgtk-3-dev,
               libpulse-dev,
               libsndfile1-dev (>= 1.0.2),
               libsamplerate0-dev (>= 0.1.9),
               pkg-config
Homepage: https://github.com/dagargo/elektroid
Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: elektroid
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Sample transfer application
 Elektroid is an sample transfer application for Elektron devices.
 .
 With elektroid you can easily load audio files like flac or wav into your
 elektron sampler. You can also transfer audio samples from your elektroid
 device to your local hard disk.
 .
 It has been reported to work with Model:Samples, Digitakt
 and Analog Rytm mk1 and mk2.
 .
 This package provides both the GUI and CLI application of elektroid.

## elektroid 1.3

=== debian/changelog ===
elektroid (1.3-2) unstable; urgency=medium

  * Remove the headers, we have no dev package atm (Closes: #982320)

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 21:12:46 +0100

elektroid (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Drop GCC10 patch, applied by upstream
  * d/copyright: Add FSFAP license
  * d/copyright: Update year
  * d/control: Add zlib1g-dev to B-Ds
  * d/control: Bump S-V to 4.5.1, no changes needed

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 07 Feb 2021 21:00:25 +0100

elektroid (1.2-2) unstable; urgency=medium

  * Fix GCC10 Build issue (Closes: #966880)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 30 Aug 2020 18:45:10 +0200

elektroid (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * Fix cross building
  * Bump dh-compat to 13
  * Drop patches, applied by upstream
  * Drop obsolete --as-needed build-flag
  * d/upstream/metadata: Add archive and remove obsolete name field

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 May 2020 17:09:24 +0200

elektroid (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #953332)

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 08 Apr 2020 21:46:46 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                libpulse-dev,
                libsndfile1-dev (>= 1.0.2),
                libsamplerate0-dev (>= 0.1.9),
-               pkg-config
+               pkg-config,
+               zlib1g-dev
 Homepage: https://github.com/dagargo/elektroid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
 Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: elektroid

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

# Fix cross building
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    export ac_cv_func_malloc_0_nonnull=yes
endif

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	# Don't enable tests, if no elektron device is connected
	@echo "Tests disabled"
	
override_dh_auto_install:
	dh_auto_install
	# We remove the headers, so far we have no -dev package
	rm -fr $(CURDIR)/debian/elektroid/usr/include

## elektroid 2.0

=== debian/changelog ===
elektroid (2.0-1) unstable; urgency=medium

  * New upstream version 2.0
  * Drop patch, applied by upstream
  * Add libjson-glib-dev and libzip-dev to B-Ds

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Jan 2022 00:04:47 +0100

elektroid (1.4-2) unstable; urgency=medium

  * Change Architecture for the binary package to linux-any (Closes: #1001613)

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 14 Dec 2021 17:30:00 +0100

elektroid (1.4-1) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 1.4
  * Fix "format not a string literal and no format arguments"
  * d/control:
    + Bump Standards-Version to 4.6.0
    + Mark ALSA dev library as linux-any
  * Add salsa-ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 29 Nov 2021 23:49:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends: debhelper-compat (= 13),
-               libasound2-dev (>= 1.1.8),
+               libasound2-dev [linux-any],
+               libjson-glib-dev,
                libgtk-3-dev,
                libpulse-dev,
-               libsndfile1-dev (>= 1.0.2),
-               libsamplerate0-dev (>= 0.1.9),
+               libsndfile1-dev,
+               libsamplerate0-dev,
+               libzip-dev,
                pkg-config,
                zlib1g-dev
 Homepage: https://github.com/dagargo/elektroid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
 Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: elektroid
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Sample transfer application

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/elektroid-$1\.tar\.gz/ \
  https://github.com/dagargo/elektroid/releases .*/v?(\d[\d\.]+)\.tar\.gz

## elektroid 2.1

=== debian/changelog ===
elektroid (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * d/control:
    + Bump Standards Version to 4.6.1
    + Update description from upstream and add Syntakt as supported
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jun 2022 17:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -16,21 +16,21 @@
 Homepage: https://github.com/dagargo/elektroid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
 Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: elektroid
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: Sample transfer application
- Elektroid is an sample transfer application for Elektron devices.
+Description: Transfer application for Elektron devices
+ Elektroid is an transfer application for Elektron devices.
  .
- With elektroid you can easily load audio files like flac or wav into your
- elektron sampler. You can also transfer audio samples from your elektroid
- device to your local hard disk.
+ With Elektroid you can easily upload and download audio files, projects,
+ sounds and presets to and from Elektron devices. It can also be used to
+ send and receive MIDI SysEx files.
  .
- It has been reported to work with Model:Samples, Digitakt
- and Analog Rytm mk1 and mk2.
+ Elektroid has been reported to work with Model:Samples, Model:Cycles,
+ Digitakt, Digitone, Syntakt and Analog Rytm MKI and MKII.
  .
  This package provides both the GUI and CLI application of elektroid.

## elektroid 2.4.1

=== debian/changelog ===
elektroid (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sat, 11 Feb 2023 18:54:15 +0100

elektroid (2.3-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * d/copyright: remove superfluous trailing newline

  [ Dennis Braun ]
  * New upstream version 2.3
  * d/watch: Fix regex
  * Update my email address
  * Bump my d/copyright year
  * d/rules: Remove obsolete dh flag --with-autoreconf, it's default

 -- Dennis Braun <snd@debian.org>  Mon, 05 Dec 2022 15:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dennis Braun <d_braun@kabelmail.de>
+Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libjson-glib-dev,
@@ -16,7 +16,7 @@
 Homepage: https://github.com/dagargo/elektroid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
 Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: elektroid

## elektroid 2.5.2

=== debian/changelog ===
elektroid (2.5.2-2) unstable; urgency=medium

  * Clean modified files after successful build (Closes: #1044825)

 -- Dennis Braun <snd@debian.org>  Fri, 22 Sep 2023 10:22:53 +0200

elektroid (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Update description

 -- Dennis Braun <snd@debian.org>  Sun, 18 Jun 2023 17:38:08 +0200

## elektroid 3.0.1

=== debian/changelog ===
elektroid (3.0.1-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:28 +1100

elektroid (3.0.1-2) unstable; urgency=medium

  * Fix FTBFS by adding the gstdio header (Closes: #1066566)
  * debian/control: pkg-config -> pkgconf

 -- Dennis Braun <snd@debian.org>  Fri, 22 Mar 2024 21:23:48 +0100

elektroid (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Bump d/copyright years and address all svg files

 -- Dennis Braun <snd@debian.org>  Sun, 28 Jan 2024 20:31:10 +0100

=== debian/control ===
Source: elektroid
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <snd@debian.org>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libjson-glib-dev,
               libgtk-3-dev,
               libpulse-dev,
               libsndfile1-dev,
               libsamplerate0-dev,
               libzip-dev,
               pkgconf,
               zlib1g-dev
Homepage: https://github.com/dagargo/elektroid
Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: elektroid
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Sample and MIDI device manager
 Elektroid is a sample and MIDI device manager.
 .
 With Elektroid you can easily upload and download audio files and manage
 different types of data on different MIDI devices, such as presets, projects or
 tunings.
 .
 It can also be used to send and receive SysEx MIDI files.
 .
 This package provides both the GUI and CLI application of Elektroid.

## elektroid 3.1

=== debian/changelog ===
elektroid (3.1-1build1) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 08:53:10 -0500

elektroid (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Drop FTBFS patch applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 18:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elektroid
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],

## elektroid 3.2.3

=== debian/changelog ===
elektroid (3.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1114097)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 22:23:49 +0300

elektroid (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3

 -- Dennis Braun <snd@debian.org>  Fri, 25 Apr 2025 20:49:25 +0200

elektroid (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
    + Fix ftbfs with GCC-15 (Closes: #1096570)
  * Bump Standards-Version to 4.7.2
  * d/copyright: New appdata file
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 14 Apr 2025 11:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://github.com/dagargo/elektroid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
 Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: elektroid

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_test:
 	# Don't enable tests, if no elektron device is connected

## elektroid 3.3.2

=== docs/Makefile ===
# The project README.md is generated from the documentation pages by executing `make` on this directory.

README=../README.md

$(README): index.md license.md installation.md packaging.md cli.md api.md tests.md
	echo '# Elektroid' > $(README)
	echo >> $(README)
	echo '[//]: # (Do not modify this file manually.)' >> $(README)
	echo '[//]: # (This file is generated from the docs directory by executing `make clean; make`.)' >> $(README)
	tail -n +4 index.md | sed "s^images/screenshot.png^docs/images/screenshot.png^" >> $(README)
	tail -n +7 license.md >> $(README)
	tail -n +7 installation.md >> $(README)
	tail -n +7 packaging.md >> $(README)
	tail -n +7 cli.md >> $(README)
	tail -n +7 api.md | sed "s^https://github.com/dagargo/elektroid/tree/master/^^g" >> $(README)
	tail -n +7 tests.md >> $(README)

license.md: license.md.in
	cat license.md.in > license.md
	echo '' >> license.md
	while read -r line; do echo "* $$line" >> license.md; done < libraries.md
	cat libraries.md | sed -r 's/\[([^\]*)\]\(([^\)]*)\)/<a href="\2">\1<\/a>/' > ../res/libraries.html

clean:
	rm -f $(README) license.md ../res/libraries.html

=== debian/changelog ===
elektroid (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * Add librubberband-dev to B-Ds
  * Bump Standards-Version to 4.7.3
  * Remove redundant-priority-optional-field
  * Remove redundant-rules-requires-root-no-field
  * Remove upstream patches
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sun, 01 Mar 2026 16:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: elektroid
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -8,6 +7,7 @@
                libjson-glib-dev,
                libgtk-3-dev,
                libpulse-dev,
+               librubberband-dev,
                libsndfile1-dev,
                libsamplerate0-dev,
                libzip-dev,
@@ -16,8 +16,7 @@
 Homepage: https://github.com/dagargo/elektroid
 Vcs-Browser: https://salsa.debian.org/multimedia-team/elektroid
 Vcs-Git: https://salsa.debian.org/multimedia-team/elektroid.git
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 
 Package: elektroid
 Architecture: linux-any
